# Key send characters

A decision block that send/simulate keyboard text input.

The fiber will pause until the simulated characters has been sent proceeding through the OK path, or through the NO path if the method is not connected, usually due to it not being enabled, or not running.

Supported method for simulating text input:

- Input method uses the Automate soft keyboard. It must be enabled as system default. Use the Input method set block to do so automatically, or the Interact block with action Show input method picker to let the user choose.
- Accessibility uses the Automate accessibility service, requires Android 13+.

## Options

- Method — method used to send the text input, see supported methods.

## Input arguments

- Characters — characters input to simulate, default is an empty text.